Trust Rail
Active Spend Mandate and weekly budget
Active Spend Mandate and weekly budget.
__Host-qm_session<token>
Session cookie set by sign-in on HTTPS deployments (the hosted demo).
In: cookie
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/mandates/current"{ "mandate": { "id": "string", "version": 0, "status": "ACTIVE", "currency": "string", "weekly_budget_minor": 0, "per_order_limit_minor": 0, "auto_approval_limit_minor": 0, "human_approval_required": true, "approved_supplier_ids": [ "string" ], "allowed_categories": [ "food_packaging" ], "max_market_price_premium_pct": 0, "market_price_action": "REVIEW", "duplicate_window_hours": 0, "duplicate_action": "REVIEW", "subscriptions_allowed": true, "certificate_ttl_minutes": 0, "max_quantity_multiple_of_need": 0, "created_by": "string", "created_at": "string" }, "budget": { "period_start": "string", "period_end": "string", "currency": "string", "limit_minor": 0, "reserved_minor": 0, "spent_minor": 0, "remaining_minor": 0 }}Reject one proposal (purchase_order_id) or every open proposal POST
Reject one proposal (purchase_order_id) or every open proposal. Requires the OWNER role.
Publish a new mandate version (revokes approvals if tightened) PUT
Publish a new mandate version (revokes approvals if tightened). Requires the OWNER role. Idempotent: send an `Idempotency-Key`.